Loading...
Searching...
No Matches
Normalize< GridT, MaskGridType, InterruptT > Class Template Reference

`#include <openvdb/tools/GridOperators.h>`

## Classes

struct | Functor
struct | OpT

## Public Types

typedef GridT | InGridType
typedef GridT | OutGridType

## Public Member Functions

| Normalize (const GridT &grid, InterruptT *interrupt=nullptr)
| Normalize (const GridT &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
GridT::Ptr | process (bool threaded=true)

## Protected Attributes

const GridT & | mInputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Member Typedef Documentation

## InGridType

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

typedef GridT InGridType

## OutGridType

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

typedef GridT OutGridType

## Constructor & Destructor Documentation

## Normalize() [1/2]

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

Normalize | ( | const GridT & | grid,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |

inline

## Normalize() [2/2]

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

Normalize | ( | const GridT & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |

inline

## Member Function Documentation

## process()

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

GridT::Ptr process | ( | bool | threaded = `true` | ) |

inline

## Member Data Documentation

## mInputGrid

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

const GridT& mInputGrid

protected

## mInterrupt

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

InterruptT* mInterrupt

protected

## mMask

template<typename GridT , typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

const MaskGridType* mMask

protected